# pcre2_set_recursion_limit man page

Return to the PCRE2 index page.

This page is part of the PCRE2 HTML documentation. It was generated automatically from the original man page. If there is any nonsense in it, please consult the man page, in case the conversion went wrong.
SYNOPSIS

#include <pcre2.h>

int pcre2_set_recursion_limit(pcre2_match_context *mcontext, uint32_t value);

DESCRIPTION

This function is obsolete and should not be used in new code. Use pcre2_set_depth_limit() instead.

There is a complete description of the PCRE2 native API in the pcre2api page and a description of the POSIX API in the pcre2posix page.

Return to the PCRE2 index page.